Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class ContentQuery

    java.lang.Object
      com.bea.p13n.content.ContentQueryBase
          com.bea.p13n.content.ContentQuery

    public class ContentQuery

extends ContentQueryBase

A utility class to construct a content query string expression from a <contentQuery> XML Element.

This will no longer always fill-out the expression with user/request/session properties. If a PropertyProvider is supplied to the constructor, the resulting expression will contain only literal values; otherwise, the resulting expression will contain property references as required and ExpressionHelper.realize() can be used.

See Also
  `ExpressionHelper`

Field Summary

Fields inherited from class com.bea.p13n.content.ContentQueryBase
`dateFormat, dateFormatStr, EMPTY_PROP_PROVIDER, STRING_CONTAINS, TYPE_BOOLEAN, TYPE_DATE, TYPE_DOUBLE, TYPE_LONG, TYPE_STRING`

Constructor Summary
`ContentQuery()`
`ContentQuery(PropertyProvider pp)`
`ContentQuery(PropertyProvider pp, boolean doOnlyEventProperties)` Constructor.

Method Summary
`String` | `createExpression(Element root)` Return a String representing the expression rooted at the passed in element.
`Expression` | `createExpressionTree(Element root)` Return the content Expression represeting the expression root at the passed in element.
`static String` | `getCharacterData(Element e)`
`static Document` | `parse(InputSource src)` Perform a non-validating parse on the specified input source.

Methods inherited from class com.bea.p13n.content.ContentQueryBase
`getISO8601Date, getLogic, getOperator, getType, getValueAsType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentQuery

    public ContentQuery(PropertyProvider pp,
                        boolean doOnlyEventProperties)

  Constructor.

  Parameters
    `pp` - the PropertyProvider to use to provider user/request/session/event properties.
    `doOnlyEventProperties` - true to replace only event properties, false to replace all properties references

### ContentQuery

    public ContentQuery(PropertyProvider pp)

### ContentQuery

    public ContentQuery()

Method Detail

### parse

    public static Document parse(InputSource src)
                          throws SAXException,
                                 IOException

  Perform a non-validating parse on the specified input source.

  Throws
    `SAXException`
    `IOException`

### createExpressionTree

    public Expression createExpressionTree(Element root)
                                    throws IllegalArgumentException

  Return the content Expression represeting the expression root at the passed in element.

  Throws
    `IllegalArgumentException`

### createExpression

    public String createExpression(Element root)
                            throws IllegalArgumentException

  Return a String representing the expression rooted at the passed in element.

  Parameters
    `root` - The root Element <contentQuery> of an expression
  Returns
    a string representing the query.
  Throws
    `IllegalArgumentException` - if the content of the passed in XML tree is invalid.

### getCharacterData

    public static String getCharacterData(Element e)
                                   throws IllegalArgumentException

  Throws
    `IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.